gtksourceview2.Style
Prev |  | Next

## gtksourceview2.Style

gtksourceview2.Style — Style object for gtksourceview2.View

## Synopsis

    class gtksourceview2.Style(gobject.GObject):
        def copy()

## Ancestry

    +-- gobject.GObject
        +-- gtksourceview2.Style

## Properties

"background" | Read-Write-Construct only | Background color. Default value: `None`.
"background-set" | Read-Write-Construct only | Whether background color is set. Default value: `False`.
"bold-set" | Read-Write-Construct only | Whether bold attribute is set. Default value: `False`.
"foreground" | Read-Write-Construct only | Foreground color. Default value: `None`.
"foreground-set" | Read-Write-Construct only | Whether foreground color is set. Default value: `False`.
"italic" | Read-Write-Construct only | Italic. Default value: `False`.
"italic-set" | Read-Write-Construct only | Whether italic attribute is set. Default value: `False`.
"line-background" | Read-Write-Construct only | Line background color. Default value: `None`.
"line-background-set" | Read-Write-Construct only | Whether line background color is set. Default value: `False`.
"strikethrough" | Read-Write-Construct only | Strikethrough. Default value: `False`.
"strikethrough-set" | Read-Write-Construct only | Whether strikethrough attribute is set. Default value: `False`.
"underline" | Read-Write-Construct only | Underline. Default value: `False`.
"underline-set" | Read-Write-Construct only | Whether underline attribute is set. Default value: `False`.

## Description

## Methods

### gtksourceview2.Style.copy

        def copy()

Returns : | a copy of `gtksourceview2.Style`.

The `copy`() method Creates a copy of `style`, that is a new `gtksourceview2.Style` instance which has the same attributes set.

Prev |  | Next
gtksourceview2.PrintCompositor | Home | gtksourceview2.StyleScheme